Bug 10348 - Empty body in if-statement in continue_domain_open_lookup
Empty body in if-statement in continue_domain_open_lookup
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: Other
unspecified
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-12-25 16:49 UTC by herwin
Modified: 2014-10-13 10:52 UTC (History)
2 users (show)

See Also:


Attachments
Patch from master. (1.05 KB, patch)
2014-05-07 13:42 UTC, José A. Rivera
jra: review+
vl: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description herwin 2013-12-25 16:49:55 UTC
Line 210 of source4/libnet/libnet_domain.c reads:

  if (!composite_is_ok(c));

This if-statements doesn't do anything. Most likely the line should read

  if (!composite_is_ok(c)) return;

because almost every other call to composite_is_ok does this. Otherwise, if nothing should be done, regardless of the result, the line could be replaced by

  composite_is_ok(c);

although I doubt that was the intention.
Comment 1 Matthias Dieter Wallnöfer 2013-12-25 17:10:57 UTC
Yes, I also think that it should be corrected into "if 
(!composite_is_ok(c)) return;".
Comment 2 José A. Rivera 2014-05-07 13:42:21 UTC
Created attachment 9921 [details]
Patch from master.

Applies cleanly to v4-1-test and v4-0-test. Please review and include in those branches if possible.
Comment 3 Jeremy Allison 2014-05-07 16:38:36 UTC
Re-assigning to Karolin for inclusion in 4.1.next, 4.0.next. Patch from master.
Jeremy.
Comment 4 Karolin Seeger 2014-05-19 10:10:53 UTC
Pushed to autobuild-v4-[0|1]-test.
Comment 5 Karolin Seeger 2014-05-20 09:40:39 UTC
Pushed to both branches.
Closing out bug report.

Thanks!